#include <imgui.h>

#include "../misc.h"
#include "../fragments/filters.h"
#include "../filters.h"
#include "../config.h"
#include "exclusions.h"

void exclusions_window(Config& __restrict active_config, Config& __restrict inactive_config,
        const std::vector<LogcatEntry>& logcat_entries, std::vector<size_t>& filtered_logcat_entry_offsets,
        bool* p_open) {
    if (!ImGui::BeginWithCloseShortcut("Exclusions", p_open)) {
        ImGui::End();
        return;
    }

    filters_fragment(active_config, active_config.exclusions, inactive_config.exclusions, logcat_entries, filtered_logcat_entry_offsets, p_open);

    ImGui::End();
}
